<template>
  <div class="p-2 px-6">
    <hgroup class="mb-4">
      <h1 class="text-4xl font-bold font-serif">Blog</h1>
      <h3>The latest news from our project</h3>
    </hgroup>
    <div class="flex">
      <ULink v-for="post in posts" :key="post._id" :to="`${post._path}`">
        <UCard>
          <hgroup>
            <h1 class="font-bold font-serif text-2xl mb-2">{{ post.title }}</h1>
            <h3 class="text-lg">{{ post.tagline }}</h3>
          </hgroup>
        </UCard>
      </ULink>
    </div>
  </div>
</template>

<script setup lang="ts">
const posts = await queryContent("blog")
  .sort({
    date: 1,
  })
  .find();
</script>
